uuid-1.3.13: For creating, comparing, parsing and printing Universally Unique Identifiers

Safe Haskell | None
Language | Haskell2010

Data.UUID.Util

# Documentation

data UnpackedUUID Source #

Constructors

UnpackedUUID |

Fields

- time_low :: Word32
- time_mid :: Word16
- time_hi_and_version :: Word16
- clock_seq_hi_res :: Word8
- clock_seq_low :: Word8
- node_0 :: Word8
- node_1 :: Word8
- node_2 :: Word8
- node_3 :: Word8
- node_4 :: Word8
- node_5 :: Word8

#### Instances

Instances details

Eq UnpackedUUID |
Instance details Defined in Data.UUID.Types.Internal Methods (==) :: UnpackedUUID -> UnpackedUUID -> Bool (/=) :: UnpackedUUID -> UnpackedUUID -> Bool
Ord UnpackedUUID |
Instance details Defined in Data.UUID.Types.Internal Methods compare :: UnpackedUUID -> UnpackedUUID -> Ordering (<) :: UnpackedUUID -> UnpackedUUID -> Bool (<=) :: UnpackedUUID -> UnpackedUUID -> Bool (>) :: UnpackedUUID -> UnpackedUUID -> Bool (>=) :: UnpackedUUID -> UnpackedUUID -> Bool max :: UnpackedUUID -> UnpackedUUID -> UnpackedUUID min :: UnpackedUUID -> UnpackedUUID -> UnpackedUUID
Read UnpackedUUID |
Instance details Defined in Data.UUID.Types.Internal Methods readsPrec :: Int -> ReadS UnpackedUUID readList :: ReadS [UnpackedUUID] readPrec :: ReadPrec UnpackedUUID readListPrec :: ReadPrec [UnpackedUUID]
Show UnpackedUUID |
Instance details Defined in Data.UUID.Types.Internal Methods showsPrec :: Int -> UnpackedUUID -> ShowS show :: UnpackedUUID -> String showList :: [UnpackedUUID] -> ShowS

unpack :: UUID -> UnpackedUUID Source #

pack :: UnpackedUUID -> UUID Source #

version :: UUID -> Int Source #

extractMac :: UUID -> Maybe MAC Source #

extractTime :: UUID -> Maybe Int64 Source #

setTime :: (Integral a, Bits a) => UUID -> a -> Maybe UUID Source #